Skip to content

Retrieve the entitlement settings for the resource

Request

Beta
OAuth 2.0 scope:
  • okta.governance.entitlements.read
Admin roles:
  • APP_ADMIN

Retrieves entitlement settings for the resource

Path
resourceOrnstringrequired

The resource ORN

GET
/governance/api/v2/resources/{resourceOrn}/entitlement-settings
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/resources/{resourceOrn}/entitlement-settings'

Responses

A successful response

Bodyapplication/json
statusstring(entitlement-settings-response-status)required

The status showing whether the resource is opted in to (enabled) or out of (disabled) entitlement management

Enum ValueDescription
OPTING_IN

The resource is in the process of opting in to entitlement management

OPTED_IN

The resource is opted in to entitlement management

OPTING_OUT

The resource is in the process of opting out of entitlement management

OPTED_OUT

The resource is opted out of the entitlement management

Response
Entitlement management disabled for a resource
{ "status": "OPTED_OUT" }